<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\PdfListen\TnListen\ShowSettingsTnListen;

class DozShowSettingsTnListenUseCase extends \Kufer\Web\KuferTools\Basis\PdfListen\TnListen\ShowSettingsTnListen\ShowSettingsTnListenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 237;
  }

  protected function showAnwesenheitslisteDeutschkurse()
  {
    $knrAry = $this->request->kursIds;

    return \Kufer\Web\KuferTools\Utils\Spezial\MVHSUtils::areKurseDeutschkurse($knrAry);
  }

  protected function showAnwesenheitslisteMitWeitermeldung()
  {
    return \DBWorkBASysSettings::isReinbekVhs();
  }
}